<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>All Classes (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":8,"i1":2,"i2":1,"i3":2,"i4":1,"i5":2,"i6":2,"i7":8,"i8":1,"i9":2,"i10":16,"i11":1,"i12":1,"i13":2,"i14":2,"i15":1,"i16":4,"i17":1,"i18":2,"i19":1,"i20":2,"i21":2,"i22":1,"i23":2,"i24":2,"i25":2,"i26":2,"i27":2,"i28":2,"i29":8};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],4:["t3","Enum Summary"],8:["t4","Exception Summary"],16:["t5","Error Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span id="t0" class="activeTableTab"><span>All Classes</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Interface Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Class Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Enum Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Exception Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t5" class="tableTab"><span><a href="javascript:show(16);">Error Summary</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><a href="cern/dip/BadParameter.html" title="class in cern.dip">BadParameter</a></td>
<th class="colLast" scope="row">
<div class="block">Indicates that an illegal or inappropriate argument has been passed to a
 method.</div>
</th>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><a href="cern/dip/Dip.html" title="class in cern.dip">Dip</a></td>
<th class="colLast" scope="row">
<div class="block">Bootstrapping object to start the DIPimplementation.</div>
</th>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><a href="cern/dip/DipBrowser.html" title="interface in cern.dip">DipBrowser</a></td>
<th class="colLast" scope="row">
<div class="block">Interface allowing a user to browse the DIP namespace.</div>
</th>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><a href="cern/dip/implementation/DipBrowserImp.html" title="class in cern.dip.implementation">DipBrowserImp</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><a href="cern/dip/DipData.html" title="interface in cern.dip">DipData</a></td>
<th class="colLast" scope="row">
<div class="block">Interface for DIP data.</div>
</th>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><a href="cern/dip/implementation/DipDataImp.html" title="class in cern.dip.implementation">DipDataImp</a></td>
<th class="colLast" scope="row">
<div class="block">Interface for DIP data.</div>
</th>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><a href="cern/dip/DipDataUtil.html" title="class in cern.dip">DipDataUtil</a></td>
<th class="colLast" scope="row">
<div class="block">Utility class to extract any DIP value as an Object, by tag name and value type.</div>
</th>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><a href="cern/dip/DipException.html" title="class in cern.dip">DipException</a></td>
<th class="colLast" scope="row">
<div class="block">The common superclass for a number of exceptions that can be thrown by Dip.</div>
</th>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><a href="cern/dip/DipFactory.html" title="interface in cern.dip">DipFactory</a></td>
<th class="colLast" scope="row">
<div class="block">Dip (Data Interchange Protocol) is the publish/subscribe interface for the
 CERN inter-domain communication designed according to the requirements
 established by the LDIWG (LHC Data Interchange Working Group).</div>
</th>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><a href="cern/dip/implementation/DipFactoryImp.html" title="class in cern.dip.implementation">DipFactoryImp</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><a href="cern/dip/DipInternalError.html" title="class in cern.dip">DipInternalError</a></td>
<th class="colLast" scope="row">
<div class="block">Signals malfunctioning of the Dip middleware.</div>
</th>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><a href="cern/dip/DipPublication.html" title="interface in cern.dip">DipPublication</a></td>
<th class="colLast" scope="row">
<div class="block">Interface for DIP publications.</div>
</th>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><a href="cern/dip/DipPublicationErrorHandler.html" title="interface in cern.dip">DipPublicationErrorHandler</a></td>
<th class="colLast" scope="row">
<div class="block">This interface enables asynchronous DIP errors to be reported.</div>
</th>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><a href="cern/dip/implementation/DipPublicationImp.html" title="class in cern.dip.implementation">DipPublicationImp</a></td>
<th class="colLast" scope="row">
<div class="block">Wrapper for the C++ implementation of a DipPublication.</div>
</th>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><a href="cern/dip/implementation/DipPublicationImpBase.html" title="class in cern.dip.implementation">DipPublicationImpBase</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><a href="cern/dip/DipQuality.html" title="interface in cern.dip">DipQuality</a></td>
<th class="colLast" scope="row">
<div class="block">interface to encapsulate data quality flags</div>
</th>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><a href="cern/dip/DipQualityEnum.html" title="enum in cern.dip">DipQualityEnum</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><a href="cern/dip/DipSubscription.html" title="interface in cern.dip">DipSubscription</a></td>
<th class="colLast" scope="row">
<div class="block">Interface for DIP subscriptions.</div>
</th>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><a href="cern/dip/implementation/DipSubscriptionImp.html" title="class in cern.dip.implementation">DipSubscriptionImp</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><a href="cern/dip/DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a></td>
<th class="colLast" scope="row">
<div class="block">Interface for DIP subscription Listeners.</div>
</th>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><a href="cern/dip/DipSubscriptionListenerAdapter.html" title="class in cern.dip">DipSubscriptionListenerAdapter</a></td>
<th class="colLast" scope="row">
<div class="block">Default adapter for the DipSubscriptionListener.</div>
</th>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><a href="cern/dip/DipTimestamp.html" title="class in cern.dip">DipTimestamp</a></td>
<th class="colLast" scope="row">
<div class="block">Should be used to indicate the time at which the value of a DipData Item was
 obtained.</div>
</th>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><a href="cern/dip/DipUpdateRequestListener.html" title="interface in cern.dip">DipUpdateRequestListener</a></td>
<th class="colLast" scope="row">
<div class="block">An optional interface for <a href="cern/dip/DipPublication.html" title="interface in cern.dip"><code>publishers</code></a> who are to re-read
 the data source when a subscriber invokes their <a href="cern/dip/DipSubscription.html#requestUpdate()"><code>requestUpdate</code></a>
 method.</div>
</th>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><a href="cern/dip/implementation/FactoryProduct.html" title="class in cern.dip.implementation">FactoryProduct</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><a href="cern/dip/mock/MockDipBrowser.html" title="class in cern.dip.mock">MockDipBrowser</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><a href="cern/dip/mock/MockDipData.html" title="class in cern.dip.mock">MockDipData</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><a href="cern/dip/mock/MockDipFactory.html" title="class in cern.dip.mock">MockDipFactory</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><a href="cern/dip/mock/MockDipPublication.html" title="class in cern.dip.mock">MockDipPublication</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><a href="cern/dip/mock/MockDipSubscription.html" title="class in cern.dip.mock">MockDipSubscription</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><a href="cern/dip/TypeMismatch.html" title="class in cern.dip">TypeMismatch</a></td>
<th class="colLast" scope="row">
<div class="block">Thrown by "extract" methods of the Data and DataEntry class to indicate
 that the actual type of the contained data does not correspond to the
 expected type.</div>
</th>
</tr>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
